Index: src/other/URToolkit/tools/CMakeLists.txt
===================================================================
--- src/other/URToolkit/tools/CMakeLists.txt	(revision 54114)
+++ src/other/URToolkit/tools/CMakeLists.txt	(working copy)
@@ -4,47 +4,47 @@
 	${CMAKE_CURRENT_SOURCE_DIR}
 )
 
-ADD_SUBDIRECTORY(clock)
+add_subdirectory(clock)
 
-URT_EXEC(applymap applymap.c)
-URT_EXEC(avg4 avg4.c)
-URT_EXEC(crop "crop.c rle_box.c")
-URT_EXEC(fant "fant.c mallocNd.c")
-URT_EXEC(into into.c)
-URT_EXEC(mcut mcut.c)
-URT_EXEC(mergechan mergechan.c)
-URT_EXEC(pyrmask "pyrmask.c pyrlib.c")
-URT_EXEC(repos repos.c)
-URT_EXEC(rleaddcom rleaddcom.c)
-URT_EXEC(rlebg rlebg.c)
-URT_EXEC(rlebox "rlebox.c rle_box.c")
-URT_EXEC(rlecat rlecat.c)
-URT_EXEC(rleccube rleccube.c)
-URT_EXEC(rlecomp rlecomp.c)
-URT_EXEC(rledither rledither.c)
-URT_EXEC(rleflip rleflip.c)
-URT_EXEC(rlegrid rlegrid.c)
-URT_EXEC(rlehdr rlehdr.c)
-URT_EXEC(rlehisto rlehisto.c)
-URT_EXEC(rleinterp rleinterp.c)
-URT_EXEC(rleldmap rleldmap.c)
-URT_EXEC(rlemandl rlemandl.c)
-URT_EXEC(rlenoise rlenoise.c)
-URT_EXEC(rlepatch rlepatch.c)
-URT_EXEC(rleprint rleprint.c)
-URT_EXEC(rlequant rlequant.c)
-URT_EXEC(rlescale rlescale.c)
-URT_EXEC(rleselect rleselect.c)
-URT_EXEC(rlesetbg rlesetbg.c)
-URT_EXEC(rlesortmap rlesortmap.c)
-URT_EXEC(rlespiff rlespiff.c)
-URT_EXEC(rlesplice rlesplice.c)
-URT_EXEC(rlesplit rlesplit.c)
-URT_EXEC(rlestereo rlestereo.c)
-URT_EXEC(rleswap rleswap.c)
-URT_EXEC(rlezoom rlezoom.c)
-URT_EXEC(smush smush.c)
-URT_EXEC(to8 to8.c)
-URT_EXEC(tobw tobw.c)
-URT_EXEC(unexp unexp.c)
-URT_EXEC(unslice unslice.c)
+urt_exec(applymap applymap.c)
+urt_exec(avg4 avg4.c)
+urt_exec(crop "crop.c rle_box.c")
+urt_exec(fant "fant.c mallocNd.c")
+urt_exec(into into.c)
+urt_exec(mcut mcut.c)
+urt_exec(mergechan mergechan.c)
+urt_exec(pyrmask "pyrmask.c pyrlib.c")
+urt_exec(repos repos.c)
+urt_exec(rleaddcom rleaddcom.c)
+urt_exec(rlebg rlebg.c)
+urt_exec(rlebox "rlebox.c rle_box.c")
+urt_exec(rlecat rlecat.c)
+urt_exec(rleccube rleccube.c)
+urt_exec(rlecomp rlecomp.c)
+urt_exec(rledither rledither.c)
+urt_exec(rleflip rleflip.c)
+urt_exec(rlegrid rlegrid.c)
+urt_exec(rlehdr rlehdr.c)
+urt_exec(rlehisto rlehisto.c)
+urt_exec(rleinterp rleinterp.c)
+urt_exec(rleldmap rleldmap.c)
+urt_exec(rlemandl rlemandl.c)
+urt_exec(rlenoise rlenoise.c)
+urt_exec(rlepatch rlepatch.c)
+urt_exec(rleprint rleprint.c)
+urt_exec(rlequant rlequant.c)
+urt_exec(rlescale rlescale.c)
+urt_exec(rleselect rleselect.c)
+urt_exec(rlesetbg rlesetbg.c)
+urt_exec(rlesortmap rlesortmap.c)
+urt_exec(rlespiff rlespiff.c)
+urt_exec(rlesplice rlesplice.c)
+urt_exec(rlesplit rlesplit.c)
+urt_exec(rlestereo rlestereo.c)
+urt_exec(rleswap rleswap.c)
+urt_exec(rlezoom rlezoom.c)
+urt_exec(smush smush.c)
+urt_exec(to8 to8.c)
+urt_exec(tobw tobw.c)
+urt_exec(unexp unexp.c)
+urt_exec(unslice unslice.c)
Index: src/other/URToolkit/cnv/CMakeLists.txt
===================================================================
--- src/other/URToolkit/cnv/CMakeLists.txt	(revision 54114)
+++ src/other/URToolkit/cnv/CMakeLists.txt	(working copy)
@@ -17,36 +17,36 @@
 #	rletotiff
 #	tifftorle
 
-URT_EXEC(aliastorle aliastorle.c)
-URT_EXEC(cubitorle cubitorle.c)
-URT_EXEC(giftorle giftorle.c)
-URT_EXEC(graytorle graytorle.c)
+urt_exec(aliastorle aliastorle.c)
+urt_exec(cubitorle cubitorle.c)
+urt_exec(giftorle giftorle.c)
+urt_exec(graytorle graytorle.c)
 # URT_EXEC(iristorle iristorle.c)
-URT_EXEC(painttorle painttorle.c)
+urt_exec(painttorle painttorle.c)
 # URT_EXEC(pgmtorle pgmtorle.c)
 # URT_EXEC(ppmtorle ppmtorle.c)
 # URT_EXEC(rastorle rastorle.c)
-URT_EXEC(rawtorle rawtorle.c)
-URT_EXEC(rletoabA60 rletoabA60.c)
-URT_EXEC(rletoalias rletoalias.c)
-URT_EXEC(rletoascii rletoascii.c)
+urt_exec(rawtorle rawtorle.c)
+urt_exec(rletoabA60 rletoabA60.c)
+urt_exec(rletoalias rletoalias.c)
+urt_exec(rletoascii rletoascii.c)
 # URT_EXEC(rletocgm rletocgm.c)
-URT_EXEC(rletogray rletogray.c)
+urt_exec(rletogray rletogray.c)
 # URT_EXEC(rletoiris rletoiris.c)
-URT_EXEC(rletopaint rletopaint.c)
+urt_exec(rletopaint rletopaint.c)
 # URT_EXEC(rletoppm rletoppm.c)
-URT_EXEC(rletops rletops.c)
+urt_exec(rletops rletops.c)
 # URT_EXEC(rletorast rletorast.c)
-URT_EXEC(rletoraw rletoraw.c)
-URT_EXEC(rletorla rletorla.c)
-URT_EXEC(rletotarga rletotarga.c)
+urt_exec(rletoraw rletoraw.c)
+urt_exec(rletorla rletorla.c)
+urt_exec(rletotarga rletotarga.c)
 # URT_EXEC(rletotiff rletotiff.c)
-URT_EXEC(rletovcr rletovcr.c)
-URT_EXEC(targatorle targatorle.c)
+urt_exec(rletovcr rletovcr.c)
+urt_exec(targatorle targatorle.c)
 # URT_EXEC(tifftorle tifftorle.c)
-URT_EXEC(vcrtorle vcrtorle.c)
-URT_EXEC(wasatchrle wasatchrle.c)
-URT_EXEC(xbmtorle xbmtorle.c)
+urt_exec(vcrtorle vcrtorle.c)
+urt_exec(wasatchrle wasatchrle.c)
+urt_exec(xbmtorle xbmtorle.c)
 
-URT_EXEC(rletoabA62 "rletoabA62/rle.c rletoabA62/rletoabA62.c")
-URT_EXEC(rletogif "rletogif/compgif.c rletogif/gifencod.c rletogif/rletogif.c")
+urt_exec(rletoabA62 "rletoabA62/rle.c rletoabA62/rletoabA62.c")
+urt_exec(rletogif "rletogif/compgif.c rletogif/gifencod.c rletogif/rletogif.c")
Index: src/other/clipper/CMakeLists.txt
===================================================================
--- src/other/clipper/CMakeLists.txt	(revision 54114)
+++ src/other/clipper/CMakeLists.txt	(working copy)
@@ -1,26 +1,26 @@
 # Minimum required version of CMake
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
-IF(COMMAND CMAKE_POLICY)
-  CMAKE_POLICY(SET CMP0003 NEW)
-ENDIF(COMMAND CMAKE_POLICY)
+cmake_minimum_required(VERSION 2.8)
+if(COMMAND CMAKE_POLICY)
+  cmake_policy(SET CMP0003 NEW)
+endif(COMMAND CMAKE_POLICY)
 
 # Set CMake project name
-PROJECT(CLIPPER)
+project(CLIPPER)
 
-INCLUDE_DIRECTORIES(
+include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   )
 
-IF(NOT LIB_DIR)
-    SET(LIB_DIR lib)
-ENDIF(NOT LIB_DIR)
-IF(NOT BIN_DIR)
-    SET(BIN_DIR bin)
-ENDIF(NOT BIN_DIR)
+if(NOT LIB_DIR)
+    set(LIB_DIR lib)
+endif(NOT LIB_DIR)
+if(NOT BIN_DIR)
+    set(BIN_DIR bin)
+endif(NOT BIN_DIR)
 
-IF(MSVC)
+if(MSVC)
   add_definitions("-DCLIPPER_DLL_EXPORTS")
-ENDIF(MSVC)
+endif(MSVC)
 
 add_library(clipper clipper.cpp)
 install(TARGETS clipper
Index: src/other/hv3/CMakeLists.txt
===================================================================
--- src/other/hv3/CMakeLists.txt	(revision 54114)
+++ src/other/hv3/CMakeLists.txt	(working copy)
@@ -1,4 +1,4 @@
-SET(hv3_TCLSCRIPTS
+set(hv3_TCLSCRIPTS
   bookmarks.html
   bugreport.html
   combobox.tcl
@@ -75,7 +75,7 @@
 file(APPEND ${CMAKE_BINARY_DIR}/lib/hv3/pkgIndex.tcl "package ifneeded hv3 0.1 [list source [file join $dir hv3.tcl]]")
 install(FILES ${CMAKE_BINARY_DIR}/lib/hv3/pkgIndex.tcl DESTINATION lib/hv3)
 
-SET(hv3_launch
+set(hv3_launch
   "#!/bin/sh
 #\\
 exec ${CMAKE_BINARY_DIR}/bin/wish $0 $\@
Index: src/other/libz/CMakeLists.txt
===================================================================
--- src/other/libz/CMakeLists.txt	(revision 54114)
+++ src/other/libz/CMakeLists.txt	(working copy)
@@ -51,15 +51,15 @@
 # Check for unistd.h
 #
 check_include_file(unistd.h Z_HAVE_UNISTD_H)
-IF(Z_HAVE_UNISTD_H)
+if(Z_HAVE_UNISTD_H)
 	add_definitions(-DZ_HAVE_UNISTD_H)
-ENDIF(Z_HAVE_UNISTD_H)
+endif(Z_HAVE_UNISTD_H)
 
-OPTION(ENABLE_Z_PREFIX "Add z_ prefix to all library functions." OFF)
-MARK_AS_ADVANCED(ENABLE_Z_PREFIX)
-IF(ENABLE_Z_PREFIX)
+option(ENABLE_Z_PREFIX "Add z_ prefix to all library functions." OFF)
+mark_as_advanced(ENABLE_Z_PREFIX)
+if(ENABLE_Z_PREFIX)
 	add_definitions(-DZ_PREFIX)
-ENDIF(ENABLE_Z_PREFIX)
+endif(ENABLE_Z_PREFIX)
 
 if(MSVC)
     #set(CMAKE_DEBUG_POSTFIX "d")
@@ -171,9 +171,9 @@
     install(FILES ${ZLIB_PUBLIC_HDRS} DESTINATION include)
 endif()
 
-IF(NOT MAN_DIR)
-  SET(MAN_DIR "share/man")
-ENDIF(NOT MAN_DIR)
+if(NOT MAN_DIR)
+  set(MAN_DIR "share/man")
+endif(NOT MAN_DIR)
 if(NOT SKIP_INSTALL_FILES AND NOT SKIP_INSTALL_ALL )
     install(FILES zlib.3 DESTINATION ${MAN_DIR}/man3)
 endif()
Index: src/other/tkhtml/CMakeLists.txt
===================================================================
--- src/other/tkhtml/CMakeLists.txt	(revision 54114)
+++ src/other/tkhtml/CMakeLists.txt	(working copy)
@@ -1,25 +1,25 @@
 # Minimum required version of CMake
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
-IF(COMMAND CMAKE_POLICY)
-  CMAKE_POLICY(SET CMP0003 NEW)
-ENDIF(COMMAND CMAKE_POLICY)
+cmake_minimum_required(VERSION 2.8)
+if(COMMAND CMAKE_POLICY)
+  cmake_policy(SET CMP0003 NEW)
+endif(COMMAND CMAKE_POLICY)
 
 # set CMake project name
-PROJECT(TKHTML)
+project(TKHTML)
 
-SET(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/CMake")
+set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/CMake")
 
-IF(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY OR NOT TK_LIBRARY OR NOT
+if(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY OR NOT TK_LIBRARY OR NOT
     TK_STUB_LIBRARY OR NOT TCL_INCLUDE_DIRS OR NOT TK_INCLUDE_PATH OR NOT
     TCL_TCLSH OR NOT TCL_WISH_EXECUTABLE)
   find_package(TCL)
-ENDIF(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY OR NOT TK_LIBRARY OR NOT
+endif(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY OR NOT TK_LIBRARY OR NOT
   TK_STUB_LIBRARY OR NOT TCL_INCLUDE_DIRS OR NOT TK_INCLUDE_PATH OR NOT
   TCL_TCLSH OR NOT TCL_WISH_EXECUTABLE)
 
-IF(TK_SYSTEM_GRAPHICS MATCHES "x11")
+if(TK_SYSTEM_GRAPHICS MATCHES "x11")
   find_package(X11)
-ENDIF(TK_SYSTEM_GRAPHICS MATCHES "x11")
+endif(TK_SYSTEM_GRAPHICS MATCHES "x11")
 
 include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/src
@@ -29,36 +29,36 @@
   ${X11_INCLUDE_DIR}
   )
 
-SET(TKHTML_PKGNAME Tkhtml)
-SET(TKHTML_PKGVERSION "3.0")
+set(TKHTML_PKGNAME Tkhtml)
+set(TKHTML_PKGVERSION "3.0")
 
 # Windows specific flags
-IF(WIN32)
-  SET(TKHTML_CFLAGS "${TKHTML_CFLAGS} -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEP -Ot -Oi -fp:strict -Gs -GS -GL -DUSE_TCL_STUBS -DUSE_TK_STUBS -D__WIN32__")
-  SET(TKHTML_CFLAGS "${TKHTML_CFLAGS} -Dinline=__inline -DBUILD_tkhtml")
-ENDIF(WIN32)
+if(WIN32)
+  set(TKHTML_CFLAGS "${TKHTML_CFLAGS} -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEP -Ot -Oi -fp:strict -Gs -GS -GL -DUSE_TCL_STUBS -DUSE_TK_STUBS -D__WIN32__")
+  set(TKHTML_CFLAGS "${TKHTML_CFLAGS} -Dinline=__inline -DBUILD_tkhtml")
+endif(WIN32)
 
-SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${TKHTML_CFLAGS}")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${TKHTML_CFLAGS}")
 
-ADD_CUSTOM_COMMAND(
+add_custom_command(
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/htmldefaultstyle.c
   COMMAND ${TCL_TCLSH} ${CMAKE_CURRENT_SOURCE_DIR}/src/mkdefaultstyle.tcl > ${CMAKE_CURRENT_BINARY_DIR}/htmldefaultstyle.c
   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/src/mkdefaultstyle.tcl ${TCL_TCLSH}
   )
 
-ADD_CUSTOM_COMMAND(
+add_custom_command(
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/htmltokens.c ${CMAKE_CURRENT_BINARY_DIR}/htmltokens.h
   COMMAND ${TCL_TCLSH} ${CMAKE_CURRENT_SOURCE_DIR}/src/tokenlist.txt
   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/src/tokenlist.txt ${TCL_TCLSH}
   )
 
-ADD_CUSTOM_COMMAND(
+add_custom_command(
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/cssprop.c ${CMAKE_CURRENT_BINARY_DIR}/cssprop.h
   COMMAND ${TCL_TCLSH} ${CMAKE_CURRENT_SOURCE_DIR}/src/cssprop.tcl
   DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/htmltokens.c ${CMAKE_CURRENT_SOURCE_DIR}/src/cssprop.tcl ${TCL_TCLSH}
   )
 
-SET(TKHTML_SRCS
+set(TKHTML_SRCS
   ${CMAKE_CURRENT_BINARY_DIR}/htmldefaultstyle.c
   ${CMAKE_CURRENT_BINARY_DIR}/cssprop.c
   src/css.c
@@ -85,38 +85,38 @@
   src/swproc.c
   )
 
-IF(NOT LIB_DIR)
-  IF(NOT WIN32)
-    SET(LIB_DIR lib)
-  ELSE(NOT WIN32)
-    SET(LIB_DIR bin)
-  ENDIF(NOT WIN32)
-ENDIF(NOT LIB_DIR)
+if(NOT LIB_DIR)
+  if(NOT WIN32)
+    set(LIB_DIR lib)
+  else(NOT WIN32)
+    set(LIB_DIR bin)
+  endif(NOT WIN32)
+endif(NOT LIB_DIR)
 
 add_library(Tkhtml SHARED ${TKHTML_SRCS})
-IF(TK_SYSTEM_GRAPHICS MATCHES "aqua")
+if(TK_SYSTEM_GRAPHICS MATCHES "aqua")
   # Need the X emulation functions from Tk when using aqua - the stubs
   # library doesn't seem to supply them
   target_link_libraries(Tkhtml ${TCL_STUB_LIBRARY} ${TK_STUB_LIBRARY} ${TK_LIBRARY} ${X11_LIBRARIES})
-ELSE(TK_SYSTEM_GRAPHICS MATCHES "aqua")
+else(TK_SYSTEM_GRAPHICS MATCHES "aqua")
   target_link_libraries(Tkhtml ${TCL_STUB_LIBRARY} ${TK_STUB_LIBRARY} ${X11_LIBRARIES})
-ENDIF(TK_SYSTEM_GRAPHICS MATCHES "aqua")
-SET_TARGET_PROPERTIES(Tkhtml PROPERTIES VERSION ${TKHTML_PKGVERSION})
-SET_PROPERTY(TARGET Tkhtml APPEND PROPERTY COMPILE_DEFINITIONS USE_TCL_STUBS)
-SET_PROPERTY(TARGET Tkhtml APPEND PROPERTY COMPILE_DEFINITIONS USE_TK_STUBS)
+endif(TK_SYSTEM_GRAPHICS MATCHES "aqua")
+set_target_properties(Tkhtml PROPERTIES VERSION ${TKHTML_PKGVERSION})
+set_property(TARGET Tkhtml APPEND PROPERTY COMPILE_DEFINITIONS USE_TCL_STUBS)
+set_property(TARGET Tkhtml APPEND PROPERTY COMPILE_DEFINITIONS USE_TK_STUBS)
 install(TARGETS Tkhtml 
 	RUNTIME DESTINATION ${BIN_DIR}
 	LIBRARY DESTINATION ${LIB_DIR}
 	ARCHIVE DESTINATION ${LIB_DIR})
 
-TCL_PKGINDEX(Tkhtml ${TKHTML_PKGNAME} ${TKHTML_PKGVERSION})
+tcl_pkgindex(Tkhtml ${TKHTML_PKGNAME} ${TKHTML_PKGVERSION})
 
-ADD_CUSTOM_COMMAND(
+add_custom_command(
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/tkhtml.n
   COMMAND ${TCL_TCLSH} ${CMAKE_CURRENT_SOURCE_DIR}/doc/macros.tcl -nroff ${CMAKE_CURRENT_SOURCE_DIR}/doc/html.man > ${CMAKE_CURRENT_BINARY_DIR}/tkhtml.n
   )
-ADD_CUSTOM_TARGET(tkhtml_n_gen ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/tkhtml.n)
+add_custom_target(tkhtml_n_gen ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/tkhtml.n)
 if(NOT MAN_DIR)
-  SET(MAN_DIR man)
+  set(MAN_DIR man)
 endif(NOT MAN_DIR)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tkhtml.n DESTINATION ${MAN_DIR}/mann)
Index: src/other/tkhtml/CMake/FindX11.cmake
===================================================================
--- src/other/tkhtml/CMake/FindX11.cmake	(revision 54114)
+++ src/other/tkhtml/CMake/FindX11.cmake	(working copy)
@@ -130,16 +130,16 @@
 # 
 #=============================================================================
 
-MACRO(X11_FIND_INCLUDE_PATH component header)
+macro(X11_FIND_INCLUDE_PATH component header)
   find_path(X11_${component}_INCLUDE_PATH ${header} ${X11_INC_SEARCH_PATH} NO_CMAKE_SYSTEM_PATH)
   set(X11_HDR_VARS ${X11_HDR_VARS} X11_${component}_INCLUDE_PATH)
   if(X11_${component}_INCLUDE_PATH)
     set(X11_HDR_PATHS ${X11_HDR_PATHS} ${X11_${component}_INCLUDE_PATH})
     list(REMOVE_DUPLICATES X11_HDR_PATHS)
   endif(X11_${component}_INCLUDE_PATH)
-ENDMACRO(X11_FIND_INCLUDE_PATH)
+endmacro(X11_FIND_INCLUDE_PATH)
 
-MACRO(X11_FIND_LIB_PATH component libname)
+macro(X11_FIND_LIB_PATH component libname)
   find_library(X11_${component}_LIB ${libname} ${X11_LIB_SEARCH_PATH} NO_CMAKE_SYSTEM_PATH)
   set(X11_LIB_VARS ${X11_LIB_VARS} X11_${component}_LIB)
   if(X11_${component}_LIB)
@@ -147,7 +147,7 @@
     set(X11_LIB_PATHS ${X11_LIB_PATHS} ${X11_${component}_DIR})
     list(REMOVE_DUPLICATES X11_LIB_PATHS)
   endif(X11_${component}_LIB)
-ENDMACRO(X11_FIND_LIB_PATH)
+endmacro(X11_FIND_LIB_PATH)
 
 if(UNIX)
   set(X11_FOUND 0)
@@ -208,63 +208,63 @@
   set(X11_LIB_PATHS)
   
   # Find primary X11 headers
-  X11_FIND_INCLUDE_PATH(X11		X11/X.h)
-  X11_FIND_INCLUDE_PATH(Xlib		X11/Xlib.h)
+  x11_find_include_path(X11		X11/X.h)
+  x11_find_include_path(Xlib		X11/Xlib.h)
   # Look for other X11 includes; keep the list sorted by name of the cmake X11_<component>_INCLUDE_PATH
   # variable (component doesn't need to match the include file name).
-  X11_FIND_INCLUDE_PATH(ICE 		X11/ICE/ICE.h)
-  X11_FIND_INCLUDE_PATH(Xaccessrules 	X11/extensions/XKBrules.h)
-  X11_FIND_INCLUDE_PATH(Xaccessstr 	X11/extensions/XKBstr.h)
-  X11_FIND_INCLUDE_PATH(Xau 		X11/Xauth.h)
-  X11_FIND_INCLUDE_PATH(Xcomposite 	X11/extensions/Xcomposite.h)
-  X11_FIND_INCLUDE_PATH(Xcursor 	X11/Xcursor/Xcursor.h)
-  X11_FIND_INCLUDE_PATH(Xdamage 	X11/extensions/Xdamage.h)
-  X11_FIND_INCLUDE_PATH(Xdmcp 		X11/Xdmcp.h)
-  X11_FIND_INCLUDE_PATH(dpms 		X11/extensions/dpms.h)
-  X11_FIND_INCLUDE_PATH(xf86misc 	X11/extensions/xf86misc.h)
-  X11_FIND_INCLUDE_PATH(xf86vmode 	X11/extensions/xf86vmode.h)
-  X11_FIND_INCLUDE_PATH(Xfixes		X11/extensions/Xfixes.h)
-  X11_FIND_INCLUDE_PATH(Xft		X11/Xft/Xft.h)
-  X11_FIND_INCLUDE_PATH(Xi		X11/extensions/XInput.h)
-  X11_FIND_INCLUDE_PATH(Xinerama	X11/extensions/Xinerama.h)
-  X11_FIND_INCLUDE_PATH(Xinput		X11/extensions/XInput.h)
-  X11_FIND_INCLUDE_PATH(Xkb		X11/extensions/XKB.h)
-  X11_FIND_INCLUDE_PATH(Xkblib		X11/XKBlib.h)
-  X11_FIND_INCLUDE_PATH(Xpm		X11/xpm.h)
-  X11_FIND_INCLUDE_PATH(XTest		X11/extensions/XTest.h)
-  X11_FIND_INCLUDE_PATH(XShm		X11/extensions/XShm.h)
-  X11_FIND_INCLUDE_PATH(Xrandr		X11/extensions/Xrandr.h)
-  X11_FIND_INCLUDE_PATH(Xrender		X11/extensions/Xrender.h)
-  X11_FIND_INCLUDE_PATH(Xscreensaver	X11/extensions/scrnsaver.h)
-  X11_FIND_INCLUDE_PATH(Xshape		X11/extensions/shape.h)
-  X11_FIND_INCLUDE_PATH(Xutil		X11/Xutil.h)
-  X11_FIND_INCLUDE_PATH(Xt		X11/Intrinsic.h)
-  X11_FIND_INCLUDE_PATH(Xv		X11/extensions/Xvlib.h)
+  x11_find_include_path(ICE 		X11/ICE/ICE.h)
+  x11_find_include_path(Xaccessrules 	X11/extensions/XKBrules.h)
+  x11_find_include_path(Xaccessstr 	X11/extensions/XKBstr.h)
+  x11_find_include_path(Xau 		X11/Xauth.h)
+  x11_find_include_path(Xcomposite 	X11/extensions/Xcomposite.h)
+  x11_find_include_path(Xcursor 	X11/Xcursor/Xcursor.h)
+  x11_find_include_path(Xdamage 	X11/extensions/Xdamage.h)
+  x11_find_include_path(Xdmcp 		X11/Xdmcp.h)
+  x11_find_include_path(dpms 		X11/extensions/dpms.h)
+  x11_find_include_path(xf86misc 	X11/extensions/xf86misc.h)
+  x11_find_include_path(xf86vmode 	X11/extensions/xf86vmode.h)
+  x11_find_include_path(Xfixes		X11/extensions/Xfixes.h)
+  x11_find_include_path(Xft		X11/Xft/Xft.h)
+  x11_find_include_path(Xi		X11/extensions/XInput.h)
+  x11_find_include_path(Xinerama	X11/extensions/Xinerama.h)
+  x11_find_include_path(Xinput		X11/extensions/XInput.h)
+  x11_find_include_path(Xkb		X11/extensions/XKB.h)
+  x11_find_include_path(Xkblib		X11/XKBlib.h)
+  x11_find_include_path(Xpm		X11/xpm.h)
+  x11_find_include_path(XTest		X11/extensions/XTest.h)
+  x11_find_include_path(XShm		X11/extensions/XShm.h)
+  x11_find_include_path(Xrandr		X11/extensions/Xrandr.h)
+  x11_find_include_path(Xrender		X11/extensions/Xrender.h)
+  x11_find_include_path(Xscreensaver	X11/extensions/scrnsaver.h)
+  x11_find_include_path(Xshape		X11/extensions/shape.h)
+  x11_find_include_path(Xutil		X11/Xutil.h)
+  x11_find_include_path(Xt		X11/Intrinsic.h)
+  x11_find_include_path(Xv		X11/extensions/Xvlib.h)
   
 
   # Find primary X11 library
-  X11_FIND_LIB_PATH(X11			X11)
+  x11_find_lib_path(X11			X11)
   # Find additional X libraries. Keep list sorted by library name.
-  X11_FIND_LIB_PATH(ICE			ICE)
-  X11_FIND_LIB_PATH(SM			SM)
-  X11_FIND_LIB_PATH(Xau			Xau)
-  X11_FIND_LIB_PATH(Xcomposite		Xcomposite)
-  X11_FIND_LIB_PATH(Xcursor		Xcursor)
-  X11_FIND_LIB_PATH(Xdamage		Xdamage)
-  X11_FIND_LIB_PATH(Xdmcp		Xdmcp)
-  X11_FIND_LIB_PATH(Xext		Xext)
-  X11_FIND_LIB_PATH(Xfixes		Xfixes)
-  X11_FIND_LIB_PATH(Xft			Xft)
-  X11_FIND_LIB_PATH(Xi			Xi)
-  X11_FIND_LIB_PATH(Xinerama		Xinerama)
-  X11_FIND_LIB_PATH(Xpm			Xpm)
-  X11_FIND_LIB_PATH(Xrandr		Xrandr)
-  X11_FIND_LIB_PATH(Xrender		Xrender)
-  X11_FIND_LIB_PATH(Xscreensaver	Xss)
-  X11_FIND_LIB_PATH(Xt			Xt)
-  X11_FIND_LIB_PATH(XTest		Xtst)
-  X11_FIND_LIB_PATH(Xv			Xv)
-  X11_FIND_LIB_PATH(Xxf86misc		Xxf86misc)
+  x11_find_lib_path(ICE			ICE)
+  x11_find_lib_path(SM			SM)
+  x11_find_lib_path(Xau			Xau)
+  x11_find_lib_path(Xcomposite		Xcomposite)
+  x11_find_lib_path(Xcursor		Xcursor)
+  x11_find_lib_path(Xdamage		Xdamage)
+  x11_find_lib_path(Xdmcp		Xdmcp)
+  x11_find_lib_path(Xext		Xext)
+  x11_find_lib_path(Xfixes		Xfixes)
+  x11_find_lib_path(Xft			Xft)
+  x11_find_lib_path(Xi			Xi)
+  x11_find_lib_path(Xinerama		Xinerama)
+  x11_find_lib_path(Xpm			Xpm)
+  x11_find_lib_path(Xrandr		Xrandr)
+  x11_find_lib_path(Xrender		Xrender)
+  x11_find_lib_path(Xscreensaver	Xss)
+  x11_find_lib_path(Xt			Xt)
+  x11_find_lib_path(XTest		Xtst)
+  x11_find_lib_path(Xv			Xv)
+  x11_find_lib_path(Xxf86misc		Xxf86misc)
 
   set(X11_LIBRARY_DIR "")
   if(X11_X11_LIB)
@@ -437,69 +437,69 @@
       set(X11_X_EXTRA_LIBS "")
 
       # See if XOpenDisplay in X11 works by itself.
-      CHECK_LIBRARY_EXISTS("${X11_LIBRARIES}" "XOpenDisplay" "${X11_LIBRARY_DIR}" X11_LIB_X11_SOLO)
+      check_library_exists("${X11_LIBRARIES}" "XOpenDisplay" "${X11_LIBRARY_DIR}" X11_LIB_X11_SOLO)
       if(NOT X11_LIB_X11_SOLO)
         # Find library needed for dnet_ntoa.
-        CHECK_LIBRARY_EXISTS("dnet" "dnet_ntoa" "" X11_LIB_DNET_HAS_DNET_NTOA)
+        check_library_exists("dnet" "dnet_ntoa" "" X11_LIB_DNET_HAS_DNET_NTOA)
         if(X11_LIB_DNET_HAS_DNET_NTOA)
-          SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -ldnet)
+          set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -ldnet)
         else(X11_LIB_DNET_HAS_DNET_NTOA)
-          CHECK_LIBRARY_EXISTS("dnet_stub" "dnet_ntoa" "" X11_LIB_DNET_STUB_HAS_DNET_NTOA)
+          check_library_exists("dnet_stub" "dnet_ntoa" "" X11_LIB_DNET_STUB_HAS_DNET_NTOA)
           if(X11_LIB_DNET_STUB_HAS_DNET_NTOA)
-            SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -ldnet_stub)
+            set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -ldnet_stub)
           endif(X11_LIB_DNET_STUB_HAS_DNET_NTOA)
         endif(X11_LIB_DNET_HAS_DNET_NTOA)
       endif(NOT X11_LIB_X11_SOLO)
 
       # Find library needed for gethostbyname.
-      CHECK_FUNCTION_EXISTS("gethostbyname" CMAKE_HAVE_GETHOSTBYNAME)
+      check_function_exists("gethostbyname" CMAKE_HAVE_GETHOSTBYNAME)
       if(NOT CMAKE_HAVE_GETHOSTBYNAME)
-        CHECK_LIBRARY_EXISTS("nsl" "gethostbyname" "" CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
+        check_library_exists("nsl" "gethostbyname" "" CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
         if(CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
-          SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lnsl)
+          set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lnsl)
         else(CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
-          CHECK_LIBRARY_EXISTS("bsd" "gethostbyname" "" CMAKE_LIB_BSD_HAS_GETHOSTBYNAME)
+          check_library_exists("bsd" "gethostbyname" "" CMAKE_LIB_BSD_HAS_GETHOSTBYNAME)
           if(CMAKE_LIB_BSD_HAS_GETHOSTBYNAME)
-            SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lbsd)
+            set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lbsd)
           endif(CMAKE_LIB_BSD_HAS_GETHOSTBYNAME)
         endif(CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
       endif(NOT CMAKE_HAVE_GETHOSTBYNAME)
 
       # Find library needed for connect.
-      CHECK_FUNCTION_EXISTS("connect" CMAKE_HAVE_CONNECT)
+      check_function_exists("connect" CMAKE_HAVE_CONNECT)
       if(NOT CMAKE_HAVE_CONNECT)
-        CHECK_LIBRARY_EXISTS("socket" "connect" "" CMAKE_LIB_SOCKET_HAS_CONNECT)
+        check_library_exists("socket" "connect" "" CMAKE_LIB_SOCKET_HAS_CONNECT)
         if(CMAKE_LIB_SOCKET_HAS_CONNECT)
-          SET (X11_X_EXTRA_LIBS -lsocket ${X11_X_EXTRA_LIBS})
+          set (X11_X_EXTRA_LIBS -lsocket ${X11_X_EXTRA_LIBS})
         endif(CMAKE_LIB_SOCKET_HAS_CONNECT)
       endif(NOT CMAKE_HAVE_CONNECT)
 
       # Find library needed for remove.
-      CHECK_FUNCTION_EXISTS("remove" CMAKE_HAVE_REMOVE)
+      check_function_exists("remove" CMAKE_HAVE_REMOVE)
       if(NOT CMAKE_HAVE_REMOVE)
-        CHECK_LIBRARY_EXISTS("posix" "remove" "" CMAKE_LIB_POSIX_HAS_REMOVE)
+        check_library_exists("posix" "remove" "" CMAKE_LIB_POSIX_HAS_REMOVE)
         if(CMAKE_LIB_POSIX_HAS_REMOVE)
-          SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lposix)
+          set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lposix)
         endif(CMAKE_LIB_POSIX_HAS_REMOVE)
       endif(NOT CMAKE_HAVE_REMOVE)
 
       # Find library needed for shmat.
-      CHECK_FUNCTION_EXISTS("shmat" CMAKE_HAVE_SHMAT)
+      check_function_exists("shmat" CMAKE_HAVE_SHMAT)
       if(NOT CMAKE_HAVE_SHMAT)
-        CHECK_LIBRARY_EXISTS("ipc" "shmat" "" CMAKE_LIB_IPS_HAS_SHMAT)
+        check_library_exists("ipc" "shmat" "" CMAKE_LIB_IPS_HAS_SHMAT)
         if(CMAKE_LIB_IPS_HAS_SHMAT)
-          SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lipc)
+          set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lipc)
         endif(CMAKE_LIB_IPS_HAS_SHMAT)
       endif(NOT CMAKE_HAVE_SHMAT)
     endif($ENV{ISC} MATCHES "^yes$")
 
     if(X11_ICE_FOUND)
-      CHECK_LIBRARY_EXISTS("ICE" "IceConnectionNumber" "${X11_LIBRARY_DIR}"
+      check_library_exists("ICE" "IceConnectionNumber" "${X11_LIBRARY_DIR}"
         CMAKE_LIB_ICE_HAS_ICECONNECTIONNUMBER)
       if(CMAKE_LIB_ICE_HAS_ICECONNECTIONNUMBER)
-        SET (X11_X_PRE_LIBS ${X11_ICE_LIB})
+        set (X11_X_PRE_LIBS ${X11_ICE_LIB})
         if(X11_SM_LIB)
-          SET (X11_X_PRE_LIBS ${X11_SM_LIB} ${X11_X_PRE_LIBS})
+          set (X11_X_PRE_LIBS ${X11_SM_LIB} ${X11_X_PRE_LIBS})
         endif(X11_SM_LIB)
       endif(CMAKE_LIB_ICE_HAS_ICECONNECTIONNUMBER)
     endif(X11_ICE_FOUND)
@@ -548,7 +548,7 @@
     endif("${LIB_PATH_CNT}" GREATER 1)
 
     include(FindPackageMessage)
-    FIND_PACKAGE_MESSAGE(X11 "Found X11: ${X11_X11_LIB}"
+    find_package_message(X11 "Found X11: ${X11_X11_LIB}"
       "[${X11_X11_LIB}][${X11_INCLUDE_DIR}]")
   else(X11_FOUND)
     if(X11_FIND_REQUIRED)
